=== atds/Makefile ===
#
# Scala/JSON backend
#

DUNE ?= dune

.PHONY: build
build:
	$(DUNE) build @all

.PHONY: test
test:
	$(DUNE) runtest -f
