=== doc/requirements.txt ===
# We use cloud_sptheme because it allows advanced tables
sphinx
sphinx_rtd_theme
