=== doc/atdgen-tutorial-data/Makefile ===
.PHONY: clean
clean:
	rm -f */*~
	rm -f */*.cm[ioxa] */*.cmx[as] */*.[oa] */*_[tjv].mli */*_[tjv].ml
