=== debian/changelog ===
ocaml-atd (2.16.0-3build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:47:57 +0200

ocaml-atd (2.16.0-3) unstable; urgency=medium

  * Add missing build-dependency on libcmdliner-ocaml-dev
    (Closes: #1116827)
  * Bump Standards-Version to 4.7.2
  * Bump debian/watch version to 5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Oct 2025 09:15:29 +0200

ocaml-atd (2.16.0-2) unstable; urgency=medium

  * Use atdgen-runtime in example script

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Feb 2025 14:29:32 +0100

ocaml-atd (2.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Feb 2025 12:48:55 +0100

ocaml-atd (2.15.0-2) unstable; urgency=medium

  * Fix autopkgtest on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2024 19:51:44 +0200
