=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_build:
	dune exec -p $(shell xargs echo < debian/debian-dune | tr ' ' ',') -- $(MAKE) -C manual
