=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ahrefs/atd/releases?per_page=50
Matching-Pattern: https://[^ "]+/atd-@ANY_VERSION@\.tbz
Searchmode: plain
