=== debian/changelog ===
ocaml-atd (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Jan 2026 11:00:22 +0100
