=== debian/control ===
Source: ocaml-atd
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 menhir,
 libcmdliner-ocaml-dev,
 yojson-tools <!nocheck>,
 libalcotest-ocaml-dev <!nocheck>,
 libcamlp-streams-ocaml-dev,
 libeasy-format-ocaml-dev,
 libre-ocaml-dev,
 libbiniou-ocaml-dev,
 libyojson-ocaml-dev (>= 3.0.0),
 python3-jsonschema (>= 4.6.0),
# For the manual:
 libcaml2html-ocaml-dev,
 libfindlib-ocaml-dev,
 hevea,
 camlmix,
 texlive-latex-extra,
# For all OCaml packages:
 dh-ocaml (>= 1.2.2)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/ahrefs/atd
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-atd

Package: libatd-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml - development files
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.
 .
 This package contains the development files needed for programming
 with the library.

Package: libatd-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml - plugins
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.
 .
 This package contains the shared runtime libraries and plugins.

Package: libatdgen-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - executable and dev files
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the adtgen executable and the files necessary
 for programming with the library.

Package: libatdgen-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - plugins
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the shared runtime libraries (plugin).

Package: atdts
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ocaml-findlib
Description: OCaml code generator for TypeScript
 Atdts is a command-line program that takes as input type definitions in
 the ATD syntax and produces TypeScript classes that can read and write
 JHSON data.
